Subject: bug#14574: prog-prettify-symbols breaks font-locking

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Jun 2013 21:43:27 +0300

> From: Juanma Barranquero <[email-masked]>
> Date: Sat, 15 Jun 2013 18:57:13 +0200
> 
> > JB> BTW, shouldn't turning font-lock-mode off disable the pretiffication?
> >
> > They are entirely implemented by font-lock keywords, so I would assume so.
> >
> > At least for me, that works every time.
> 
> That's not what I see. M-x font-lock-mode turns off font-locking, but
> the compositions to λ remain.

Probably because turning off font-lock removes the font-lock text
properties, but doesn't remove the 'composition' text property.